%bcond_without check

%global goipath         github.com/gobuffalo/flect
Version:                1.0.2

%gometa

%global common_description %{expand:
An inflection engine for Golang.}

%global golicenses      LICENSE
%global godocs          SHOULDERS.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Inflection engine for Golang

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-1
- initial build
